<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVg224Req StructType
 * @subpackage Structs
 */
class AddVg224Req extends APIRequest
{
    /**
     * The vg224
     * @var XVg224
     */
    public $vg224;
    /**
     * Constructor method for AddVg224Req
     * @uses AddVg224Req::setVg224()
     * @param XVg224 $vg224
     */
    public function __construct(XVg224 $vg224 = null)
    {
        $this
            ->setVg224($vg224);
    }
    /**
     * Get vg224 value
     * @return XVg224|null
     */
    public function getVg224()
    {
        return $this->vg224;
    }
    /**
     * Set vg224 value
     * @param XVg224 $vg224
     * @return AddVg224Req
     */
    public function setVg224(XVg224 $vg224 = null)
    {
        $this->vg224 = $vg224;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVg224Req
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
